Index: /branches/playability/src/world_entities/projectiles/spike.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike.cc	(revision 10259)
+++ /branches/playability/src/world_entities/projectiles/spike.cc	(revision 10260)
@@ -140,4 +140,6 @@
 
   angle += rotationSpeed * dt;
+
+/*  printf( "spike tick\n" );*/
 }
 
Index: /branches/playability/src/world_entities/projectiles/spike_ball.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike_ball.cc	(revision 10259)
+++ /branches/playability/src/world_entities/projectiles/spike_ball.cc	(revision 10260)
@@ -68,4 +68,7 @@
 
   this->size = 4;
+
+  this->launcher = new Vector [this->getFragments()];
+
 //   this->fastFactory = tFastFactory<Spike>::getFastFactory(CL_SPIKE, "Spike");
 
@@ -120,5 +123,4 @@
     SpikeBall::explosionParticles->setColor(1.0, .8,.8,.7,.0);
   }
-
   this->setDamage(5);
   this->setHealth(0);
@@ -177,11 +179,10 @@
 {
   Spike* pj = NULL;
-
+/*  printf( "KA-" );*/
   for ( int i = 0; i < this->getFragments(); i++)
   {
     pj  = new Spike();
-    if (pj == NULL)
-      return;
-
+    assert( pj );
+/*    printf(" %i", i);*/
     pj->setParent(PNode::getNullParent());
 
@@ -192,4 +193,7 @@
     Quaternion q;
     pj->setAbsDir(q.lookAt(Vector(), this->launcher[i], VECTOR_RAND(1)));
+
+    pj->toList(this->getOMListNumber());
+
 /*
     pj->setAbsCoor(this->getAbsCoor() + VECTOR_RAND(3));
@@ -197,4 +201,5 @@
     pj->activate();
   }
+/*  printf( "BOOM\n" );*/
 }
 
@@ -250,15 +255,17 @@
 {
   //Vector v = *this->flightDirection * ( this->speed * time * 1000 + 0.1);
-  Vector v = this->velocity * dt;
+  Vector v = this->getVelocity() * dt;
   this->shiftCoor(v);
 
-  if(this->lifeCycle > .9){
-//     printf("called by spikeball  ");
-//     this->weaponMan->fire();
+//   if(this->lifeCycle > .9){
+// /*    printf("time to blow:  ");*/
+// //     this->weaponMan->fire();
+// /*    this->blow();*/
+//   }
+
+  if (this->tickLifeCycle(dt)){
     this->blow();
-  }
-
-  if (this->tickLifeCycle(dt))
-      this->deactivate();
+    this->deactivate();
+  }
 
   this->updateAngle( dt );
Index: /branches/playability/src/world_entities/projectiles/spike_ball.h
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10259)
+++ /branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10260)
@@ -41,4 +41,6 @@
     virtual void draw () const;
 
+//     inline void setVelocity(Vector velocity) { this->velocity = velocity; }
+
 //     inline Vector getRotationVector() { return this->rotationVector; }
 //     inline float getAngle() { return this->angle; }
Index: /branches/playability/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10259)
+++ /branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10260)
@@ -207,8 +207,8 @@
 
   this->weaponMan.changeWeaponConfig(3);
-  this->secWeaponMan.changeWeaponConfig(2);
+  this->secWeaponMan.changeWeaponConfig(1);
 
   curWeaponPrimary    = 3;
-  curWeaponSecondary  = 2;
+  curWeaponSecondary  = 1;
 
   Playable::weaponConfigChanged();
Index: /branches/playability/src/world_entities/weapons/heavy_blaster.cc
===================================================================
--- /branches/playability/src/world_entities/weapons/heavy_blaster.cc	(revision 10259)
+++ /branches/playability/src/world_entities/weapons/heavy_blaster.cc	(revision 10260)
@@ -47,5 +47,5 @@
   }
 
-  this->deconstr();
+//   this->deconstr();
      // model will be deleted from WorldEntity-destructor
 }
Index: /branches/playability/src/world_entities/weapons/spike_thrower.cc
===================================================================
--- /branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10259)
+++ /branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10260)
@@ -156,8 +156,8 @@
   pj->setParent(PNode::getNullParent());
 
-  pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*150);
+//   pj->setVelocity(this->getParent()->getAbsDir().apply(Vector(1,0,0))*200 + this->getParent()->getParent()->getVelocity());
+  pj->setVelocity(this->getParent()->getVelocity() + this->getAbsDir().apply(Vector(1,0,0))*160);
+
   pj->setAbsCoor(this->getEmissionPoint());
-  pj->toList(this->getOMListNumber());
-
   pj->setAbsDir(this->getAbsDir());
   pj->activate();
